## test-check-clojure 0.9.0

=== Makefile ===
.PHONY: pages docs

##
## Doc targets
##

docs:
	lein doc

pages: docs
	rm -rf /tmp/org.clojure-test.check-docs
	mkdir -p /tmp/org.clojure-test.check-docs
	cp -R doc/ /tmp/org.clojure-test.check-docs
	git checkout gh-pages
	cp -R /tmp/org.clojure-test.check-docs/* .
	git add .
	git add -u
	git commit
	git push origin gh-pages
	git checkout master

=== debian/changelog ===
test-check-clojure (0.9.0-4) unstable; urgency=medium

  * Team upload.
  * Use current version of jar for clojure. (Closes: #982721)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 13 Feb 2021 23:41:08 +0530

test-check-clojure (0.9.0-3) unstable; urgency=medium

  * Team upload.
  * Use pom.xml generated by leiningen instead of upstream's.
  * d/rules: simplify and parametrise using dpkg/pkg-info.mk.
  * d/control: use dh13.
  * d/watch: create.
  * d/control: update Standards Versions to 4.5.1. No changes needed.
  * d/tests: add autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 04 Dec 2020 13:10:07 -0500

test-check-clojure (0.9.0-2) unstable; urgency=medium

  * Change debian jar to test.check from test.check (match upstream).
  * Rely on the JAVA_HOME from javahelper/java-vars.mk
  * Change debian/maven-repo to a single symlink.
  * Build and clean the debs via lein.
  * Invoke lein with -o for debian/rules tests.  Even though we've set
    LEIN_OFFLINE, specify -o everywhere to make it obvious, and to be
    doubly-sure.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 Oct 2020 18:57:19 -0500

test-check-clojure (0.9.0-1) unstable; urgency=medium

  * Add debian/ for 0.9.0-1.
  * Adjust project.clj for offline debian builds.
    Add 0004-adjust-project-clj.patch to incorporate the changes.  See the
    patch header for additional information.
  * Adjust debian/rules to support "lein -o test".  Ensure lein is
    offline, use a build-specific LEIN_HOME, specify a JAVA_HOME, and
    maintain a debian/maven-repo symlink.  With that, we can run "lein
    test" during package builds.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 18 Oct 2020 16:49:50 -0500

=== debian/control ===
Source: test-check-clojure
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders: Rob Browning <rlb@defaultvalue.org>
Section: java
Priority: optional
Build-Depends:
  debhelper-compat (= 13),
  javahelper,
  leiningen,
  maven-repo-helper,
  libclojure-java,
  libcomplete-clojure,
  libnrepl-clojure,
  default-jdk
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/clojure-team/test-check-clojure
Vcs-Git: https://salsa.debian.org/clojure-team/test-check-clojure.git
Homepage: https://github.com/clojure/test.check
Rules-Requires-Root: no

Package: libtest-check-clojure
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends},
         libclojure-java
Recommends: ${java:Recommends}
Description: Clojure property-based testing tool inspired by QuickCheck
 The core idea of test.check is that instead of enumerating expected
 input and output for unit tests, you write properties about your
 function that should hold true for all inputs, allowing you to write
 concise, powerful tests.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

export LEIN_HOME=$(CURDIR)/.lein
export LEIN_OFFLINE=true
NAME=test.check

%:
	dh $@ --with javahelper --with maven_repo_helper

override_dh_auto_configure:
	cd debian && ln -sf /usr/share/maven-repo .

override_dh_auto_build:
	true

override_dh_auto_test:
	lein -o test

override_jh_build:
	lein -o jar
	# symlink so we don't need a version in debian/*.poms
	cd target && ln -sf $(NAME)-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar

override_jh_installlibs:
	jh_installlibs target/$(NAME).jar

override_dh_clean:
	lein -o clean
	rm -f debian/maven-repo
	dh_clean

=== debian/watch ===
version=4
opts="mode=git, uversionmangle=s/test.check-\.//" \
https://github.com/clojure/test.check.git \
refs/tags/test.check-([\d\.]+)

## test-check-clojure 1.1.0

=== debian/changelog ===
test-check-clojure (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * d/tests: allow-stderr. (Closes: #1027392)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 06 Jan 2023 16:53:06 -0500

test-check-clojure (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.0
  * Refresh patches
  * Add d/gbp.conf with team defaults
  * d/rules: lein clean not needed, add rm -Rf target/

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 20 Jun 2022 12:49:40 -0400

test-check-clojure (0.9.0-5) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: New email for the Clojure Team.
  * d/rules: simplify java lib install.
  * d/patches/0005: use generic '1.10.x' version for clojure.
    (Closes: #1011856)
  * d/rules: simplify build and generate the pom file using lein.
  * d/tests/unittests: rewrite in proper clojure.
  * d/control: Standards-Version update to 4.6.1. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 19 Jun 2022 14:51:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: test-check-clojure
-Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
 Uploaders: Rob Browning <rlb@defaultvalue.org>
 Section: java
 Priority: optional
@@ -12,7 +12,7 @@
   libcomplete-clojure,
   libnrepl-clojure,
   default-jdk
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/clojure-team/test-check-clojure
 Vcs-Git: https://salsa.debian.org/clojure-team/test-check-clojure.git
 Homepage: https://github.com/clojure/test.check

=== debian/rules ===
--- 
+++ 
@@ -14,20 +14,16 @@
 	cd debian && ln -sf /usr/share/maven-repo .
 
 override_dh_auto_build:
-	true
-
-override_dh_auto_test:
-	lein -o test
-
-override_jh_build:
-	lein -o jar
+	lein pom debian/pom.xml
+	lein jar
 	# symlink so we don't need a version in debian/*.poms
 	cd target && ln -sf $(NAME)-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar
 
-override_jh_installlibs:
-	jh_installlibs target/$(NAME).jar
+override_dh_auto_test:
+	lein test
 
 override_dh_clean:
-	lein -o clean
 	rm -f debian/maven-repo
+	rm -f debian/pom.xml
+	rm -Rf target/
 	dh_clean

## test-check-clojure 1.1.1

=== debian/changelog ===
test-check-clojure (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.1
  * d/copyright: update from new notices
  * d/control:
    + build using headless jre
    + bump Standards-Version, no changes needed
    - drop unneeded nrepl build-dep
  * d/patches: update for new upstream release
  * d/rules:
    + install upstream changelog correctly
    + honor nocheck build flag
    + improve clean target (Closes: #1046900)
  * d/watch: update tag format, switch to recommended

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 02 Apr 2025 00:02:27 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
   maven-repo-helper,
   libclojure-java,
   libcomplete-clojure,
-  libnrepl-clojure,
-  default-jdk
-Standards-Version: 4.6.1
+  default-jre-headless
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/clojure-team/test-check-clojure
 Vcs-Git: https://salsa.debian.org/clojure-team/test-check-clojure.git
 Homepage: https://github.com/clojure/test.check

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,15 @@
 	cd target && ln -sf $(NAME)-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	lein test
+endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG.markdown
 
 override_dh_clean:
 	rm -f debian/maven-repo
 	rm -f debian/pom.xml
-	rm -Rf target/
+	rm -Rf .lein .lein-failures target/
 	dh_clean

=== debian/watch ===
version=4
opts=\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
 https://api.github.com/repos/clojure/test.check/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
